com.fasterxml.jackson.dataformat.xml.util

## Class DefaultXmlPrettyPrinter.FixedSpaceIndenter

- java.lang.Object
- - com.fasterxml.jackson.dataformat.xml.util.DefaultXmlPrettyPrinter.FixedSpaceIndenter

All Implemented Interfaces:
  DefaultXmlPrettyPrinter.Indenter

Enclosing class:
  DefaultXmlPrettyPrinter

    protected static class DefaultXmlPrettyPrinter.FixedSpaceIndenter
    extends Object
    implements DefaultXmlPrettyPrinter.Indenter

This is a very simple indenter that only every adds a single space for indentation. It is used as the default indenter for array values.

### Constructor Summary

Constructors
Constructor and Description
`DefaultXmlPrettyPrinter.FixedSpaceIndenter()`

### Method Summary

Methods
`boolean` `isInline()`
`void` `writeIndentation(com.fasterxml.jackson.core.JsonGenerator jg, int level)`
`void` `writeIndentation(org.codehaus.stax2.XMLStreamWriter2 sw, int level)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultXmlPrettyPrinter.FixedSpaceIndenter

    public DefaultXmlPrettyPrinter.FixedSpaceIndenter()

### Method Detail

#### writeIndentation

    public void writeIndentation(org.codehaus.stax2.XMLStreamWriter2 sw,
                        int level)
                          throws XMLStreamException

Specified by:
  `writeIndentation` in interface `DefaultXmlPrettyPrinter.Indenter`
Throws:
  `XMLStreamException`

#### writeIndentation

    public void writeIndentation(com.fasterxml.jackson.core.JsonGenerator jg,
                        int level)
                          throws IOException,
                                 com.fasterxml.jackson.core.JsonGenerationException

Specified by:
  `writeIndentation` in interface `DefaultXmlPrettyPrinter.Indenter`
Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonGenerationException`

#### isInline

    public boolean isInline()

Specified by:
  `isInline` in interface `DefaultXmlPrettyPrinter.Indenter`
Returns:
  True if indenter is considered inline (does not add linefeeds), false otherwise